"""
    This is a trivial example of a Python module, used for the
    Hello World.vi example.
    
    Variables, functions, and other objects you define here are available
    from LabVIEW.  We use the term "Python module" rather than "Python script"
    because those variables and functions are persistent... once you've
    created a Python session, you can interact with them as often as you
    like.  They don't go away until you use Close Session.vi to shut down
    Python.
"""

import sys

def say_hello(name):
    """ Take an argument and format it into a string.
    
    Note that we don't specify a type for "name".  In Python, variables can
    have any type.  The string format operation below will create a string
    representation of any supported type.
    
    We also print some output to demonstrate how the Python console works.
    Select "Show Console" in the Hello World VI to display the console.
    """
    print("Saying hello...")
    
    # There are slight differences between Python 2 and 3 for string handling.
    if sys.version_info[0] == 2:
        return 'Hello, "%s"!' % name
    else:
        return 'Hello, "%s"!' % name.decode('ascii')
